from mathlib import calc_math as m
import sys
import cProfile
import io
import pstats

### python3 stddev.py < data.txt

# def profile(func):
#     def wrapper(*args, **kwargs):
#         pr = cProfile.Profile()
#         pr.enable()
#         retval = func(*args, **kwargs)
#         pr.disable()
#         s = io.StringIO()
#         sortby = 'cumulative'
#         ps = pstats.Stats(pr, stream=s).strip_dirs().sort_stats(sortby)
#         ps.print_stats(5)       # print only top 5 functions
#         print(s.getvalue())
#         return retval

#     return wrapper

# @profile
def standard_deviation(nums):
    total_nums = len(nums)
    mean = m.div(m.array_sum(nums), total_nums)
    sum_of_squares = m.array_sum([m.exp(num, 2) for num in nums])
    std_dev = m.rad(m.div(m.sub(sum_of_squares, m.mul(total_nums, m.exp(mean, 2))), m.sub(total_nums, 1)), 2)

    return std_dev

inputs = [x.replace('\n',' ') for x in sys.stdin]
numbers = []

for number in [y for x in inputs for y in x.split()]:
    
    if not number.replace('.', '', 1).replace('-', '', 1).isnumeric():
        print(f'{number} is not a number, ignoring!')
        continue
    else:
        numbers.append(float(number))

if not numbers:
    print('no numbers were inputed')
elif len(numbers) == 1:
    print(0)
else:
    print(standard_deviation(numbers))
